%define dapl1_version 1.2.7

Name: dapl
Version: 2.0.9
Release: 2%{?dist}
Summary: Library providing access to the  DAT 1.2 and 2.0 APIs
Group: System Environment/Libraries
License: Dual GPL/BSD/CPL
Url: http://openfabrics.org/
Source0: http://www.openfabrics.org/downloads/dapl/dapl-%{version}.tar.gz
Source1: http://www.openfabrics.org/downloads/dapl/dapl-%{dapl1_version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Obsoletes: udapl <= 1.2, dapl <= 1.2.1.1
BuildRequires: libibverbs-devel >= 1.1.1-10, librdmacm-devel
ExclusiveArch: i386 x86_64 ia64 ppc ppc64
%description
libdat and libdapl provide a userspace implementation of the DAT 1.2 and 2.0
API that is built to natively support InfiniBand/iWARP network technology.

%package devel
Summary: Development files for the libdat and libdapl libraries
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: udapl-devel <= 1.2, dapl-devel <= 1.2.1.1
%description devel
Header files for libdat and libdapl library.

%package static
Summary: Static libdat and libdapl libraries
Group: System Environment/Libraries
Requires: %{name}-devel = %{version}-%{release}
Obsoletes: dapl-devel-static
%description static
Static versions of the libdat and libdapl libraries.

%package utils
Summary: Test suites for dapl libraries
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%description utils
Useful test suites to validate the dapl library API's and operation.

%package -n compat-dapl-%{dapl1_version}
Summary: dapl-1.2 compat libraries
Group: System Environment/Libraries
Obsoletes: udapl <= 1.2, dapl <= 1.2.1.1
%description -n compat-dapl-%{dapl1_version}
These are the dapl-1.2 libraries provided for backward compatibility with
existing programs.

%package -n compat-dapl-devel-%{dapl1_version}
Summary: Development files for the dapl-1.2 compat libdat and libdapl libraries
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: udapl-devel <= 1.2, dapl-devel <= 1.2.1.1
%description -n compat-dapl-devel-%{dapl1_version}
Header files for the dapl-1.2 compat libdat and libdapl library.

%package -n compat-dapl-static-%{dapl1_version}
Summary: Static libdat and libdapl libraries
Group: System Environment/Libraries
Requires: %{name}-devel = %{version}-%{release}
Obsoletes: dapl-devel-static
%description -n compat-dapl-static-%{dapl1_version}
Static versions of the dapl-1.2 compat libdat and libdapl libraries.

%prep
%setup -a 1

%build
%configure --enable-ext-type=ib --sysconfdir=/etc/ofed
make %{?_smp_mflags}
cd dapl-%{dapl1_version}
%configure --sysconfdir=/etc/ofed
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
cd dapl-%{dapl1_version}
make DESTDIR=%{buildroot} install
cd ..
make DESTDIR=%{buildroot} install
# remove unpackaged files from the buildroot
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post 
/sbin/ldconfig
if [ -e %{_sysconfdir}/ofed/dat.conf ]; then
     sed -e '/ofa-v2-.* u2/d' < %{_sysconfdir}/ofed/dat.conf > /tmp/$$ofadapl
     mv /tmp/$$ofadapl %{_sysconfdir}/ofed/dat.conf
fi
echo ofa-v2-ib0 u2.0 nonthreadsafe default libdaplofa.so.2 dapl.2.0 '"ib0 0" ""' >> %{_sysconfdir}/ofed/dat.conf
echo ofa-v2-ib1 u2.0 nonthreadsafe default libdaplofa.so.2 dapl.2.0 '"ib1 0" ""' >> %{_sysconfdir}/ofed/dat.conf
echo ofa-v2-ib2 u2.0 nonthreadsafe default libdaplofa.so.2 dapl.2.0 '"ib2 0" ""' >> %{_sysconfdir}/ofed/dat.conf
echo ofa-v2-ib3 u2.0 nonthreadsafe default libdaplofa.so.2 dapl.2.0 '"ib3 0" ""' >> %{_sysconfdir}/ofed/dat.conf
echo ofa-v2-bond u2.0 nonthreadsafe default libdaplofa.so.2 dapl.2.0 '"bond0 0" ""' >> %{_sysconfdir}/ofed/dat.conf

# Create symlink from %{_sysconfdir}/ofed/dat.conf to /etc/dat.conf
if [ ! -h /etc/dat.conf ]; then
    ln -s %{_sysconfdir}/ofed/dat.conf /etc/dat.conf
fi
 
%postun 
/sbin/ldconfig
if [ -e %{_sysconfdir}/ofed/dat.conf ]; then
    sed -e '/ofa-v2-.* u2/d' < %{_sysconfdir}/ofed/dat.conf > /tmp/$$ofadapl
    mv /tmp/$$ofadapl %{_sysconfdir}/ofed/dat.conf
fi

# Remove the symlink from %{_sysconfdir}/ofed/dat.conf to /etc/dat.conf
if [ -h /etc/dat.conf ]; then
    rm -f /etc/dat.conf
fi

%post -n compat-dapl-%{dapl1_version} -p /sbin/ldconfig
%postun -n compat-dapl-%{dapl1_version} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libdat2.so.*
%{_libdir}/libdaplofa.so.*
%doc AUTHORS README ChangeLog

%files devel
%defattr(-,root,root,-)
%{_libdir}/libdat2.so
%{_libdir}/libdaplofa.so
%dir %{_includedir}/dat2
%{_includedir}/dat2/*

%files static
%defattr(-,root,root,-)
%{_libdir}/libdat2.a
%{_libdir}/libdaplofa.a

%files utils
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*

%files -n compat-dapl-%{dapl1_version}
%defattr(-,root,root,-)
%{_libdir}/libdat.so.*
%{_libdir}/libdaplcma.so.*

%files -n compat-dapl-devel-%{dapl1_version}
%defattr(-,root,root,-)
%{_libdir}/libdat.so
%{_libdir}/libdaplcma.so
%dir %{_includedir}/dat
%{_includedir}/dat/*

%files -n compat-dapl-static-%{dapl1_version}
%defattr(-,root,root,-)
%{_libdir}/libdat.a
%{_libdir}/libdaplcma.a

%changelog
* Fri Aug 29 2008 Tianyue Lan <tianyue.lan@oracle.com> - 2.0.9-2
- Update the tarballs to OFED-1.3.1 (20080603) and update specfile

* Tue May 20 2008 Arlin Davis <ardavis@ichips.intel.com> - 2.0.9
- DAT/DAPL Version 2.0.9 Release 1, OFED 1.3.1 GA  
 
* Thu May 1 2008 Arlin Davis <ardavis@ichips.intel.com> - 2.0.8
- DAT/DAPL Version 2.0.8 Release 1, OFED 1.3.1  

* Thu Apr 03 2008 Doug Ledford <dledford@redhat.com> - 2.0.7-2
- Need a new brew build in order to get the filelist correct in the errata
- Related: bz428197

* Tue Apr 01 2008 Doug Ledford <dledford@redhat.com> - 2.0.7-1
- Update to same dapl versions as OFED 1.3 final bits
- Upstream modified dapl-1.2 and dapl-2.0 to coexist, so undo the changes we
  made in order for them to coexist in our package
- Related: bz428197

* Tue Jan 29 2008 Doug Ledford <dledford@redhat.com> - 2.0.3-3
- Make dapl-1.2 and dapl-2.0 devel environments coexist, and make dapl-1.2
  the default lib so that unported apps continue to build, and ported apps
  build properly by adding -L%{_libdir}/dat -ldat to their LDFLAGS.

* Tue Jan 15 2008 Doug Ledford <dledford@redhat.com> - 2.0.3-2
- Import upstream package, gut spec file, copy over dapl spec from openib spec
- Merge dapl 1.2 and 2.0 support into a single rpm
- Related: bz428197

* Tue Nov 20 2007 Arlin Davis <ardavis@ichips.intel.com> - 2.0.3
- DAT/DAPL Version 2.0.3 Release 1

* Tue Oct 30 2007 Arlin Davis <ardavis@ichips.intel.com> - 2.0.2
- DAT/DAPL Version 2.0.2 Release 1

* Tue Sep 18 2007 Arlin Davis <ardavis@ichips.intel.com> - 2.0.1-1
- OFED 1.3-alpha, co-exist with DAT 1.2 library package.  

* Wed Mar 7 2007 Arlin Davis <ardavis@ichips.intel.com> - 2.0.0.pre
- Initial release of DAT 2.0 APIs, includes IB extensions 
